#####################################
# Main configuration for Dacryptero #
#####################################

## This is the default configuration for Dacryptero. It is recommended to change this according your
## system. To uncomment any option you have to remove the leading #. If you leave this configuration
## as it is it will use the default configuration that could lead to some problems on some systems
## (mostly because of read/write permissions).

## CONFIG PATHS

## Uncomment this and set this to a directory to import all direct files ending in ".ini" as a
## configuration. Their configuration will overwrite any configuration in this file. The files are
## opened in alphabetical order. These files has the same schema like this and are also allowed to
## include this setting. Recursive reference of files are ignored.
# config.include.dir=""

## PATHS

## Database directory (default: db). You can use relative or absolute paths.
#db.baseDir="db"
## Schema directory (default: schemas). Include all your schema files in any order here.
#schema.baseDir="schemas"

## SERVER

## server port (default: 8015)
#server.port=8015
## server interface (default: 127.0.0.1). It is recommended for security reasons to set this to
## localhost (127.0.0.1). You can set this to any other interface ip address or to 0.0.0.0 if you
## want to listen on any network interface your computer has.
#server.interface="127.0.0.1"
## server certificate (default: ""). If set to a pem file this will start the server in https mode.
## This is required if you change your interface to other than localhost. Keep in mind that the
## certificate has to be trustet on the target computer.
#server.certificate=""
## server certificate key (default: ""). If the certificate is set you can set the key file for the
## server certificate. The key file is optional. If the key file doesn't exists it is expected that
## the is included in the pem file of the server certificate.
#server.certificateKey=""
## UI file directory (default: ui). The path where all user interface files are located.
#server.uiDir="ui"
## Template directory (default: Templates). The path where all template files are located.
#server.templateDir="Templates"

## SECURITY

## enable 2fa (default: true). Enable the Two-Factor-Authentification with a FIDO2 compatible device.
## If you want to test this software you can disable this setting and no 2FA will be checked. It is
## recommended to keep it on true. Databases that are created with 2fa are not allowed to be opened
## without the 2fa check.
#security.2fa=true

## LOGS

## Verbosity of the console output logs (default: Verbose). Valid options are:
## Verbose, Debug, Information, Warning, Error and Fatal
#log.console=Verbose
## Verbosity of the file output logs (default: Verbose). Valid options are:
## Verbose, Debug, Information, Warning, Error and Fatal
#log.file=Verbose
## Target folder to write file logs to (default: Logs).
#log.file.dir="Logs"
